using CityInfo.WEB.Models;

namespace CityInfo.WEB.Services
{
    public interface IPointOfInterestDataService
    {
        public Task<IEnumerable<PointOfInterest>> GetPointsOfInterest(int cityId);
        public Task<PointOfInterest?> GetPointOfInterest(int cityId, int pointOfInterestId);
        public Task<PointOfInterest?> CreatePointOfInterest(int cityId, PointOfInterest pointOfInterest);
        public Task<bool> UpdatePointOfInterest(int cityId, PointOfInterest pointOfInterest);
        public Task<bool> DeletePointOfInterest(int cityId, int pointOfInterestId);
    }
}
